Please select Into the mobile phone version | Continue to access the computer ver.
Update Inspire 2 to firmware V01.02.0400
1089 33 5-6 08:06
Uploading and Loding Picture ...(0/1)
o(^-^)o
AeroMovie
Second Officer
Flight distance : 735732 ft
  • >>>
Germany
Offline

Has anyone ever updated (from .300 or lower) to firmware V01.02.0400?

5-6 08:06
Use props
Joecos
Second Officer
Flight distance : 868018 ft
United States
Offline

I have not done it.       I'm on .300 and I'm curious if there is improvement.   I've read one posting here that he felt the .400 has improved his hovering.

5-6 08:10
Use props
Joecos
Second Officer
Flight distance : 868018 ft
United States
Offline

Also, do you know where to download the .400 FW  aside from the DJI factory?
5-6 08:12
Use props
Matthew Dobrski
Captain
Flight distance : 1700092 ft
  • >>>
Canada
Offline

Version .0400 is a factory installable only, not available for download. Basically identical to .0300.
5-6 14:20
Use props
AeroMovie
Second Officer
Flight distance : 735732 ft
  • >>>
Germany
Offline

Well, if you make an effort, you will find a way to install the .0400 version. Google makes it possible.
5-6 22:15
Use props
nik1975
First Officer
Flight distance : 6300833 ft
  • >>>
Switzerland
Offline

they dont give some updates to the inspire2 any more ... the support are working for the inspire3 .... the inspire2 line is death.
5-7 01:32
Use props
AeroMovie
Second Officer
Flight distance : 735732 ft
  • >>>
Germany
Offline

nik1975 Posted at 5-7 01:32
they dont give some updates to the inspire2 any more ... the support are working for the inspire3 .... the inspire2 line is death.

Sorry but that's not the issue here if DJI will release another update or not. .400 is already there, just not via DJI Assistant 2. you have to go other ways
5-7 03:15
Use props
Drone AD services
Second Officer
Flight distance : 294357 ft
Switzerland
Offline

AeroMovie Posted at 5-7 03:15
Sorry but that's not the issue here if DJI will release another update or not. .400 is already there, just not via DJI Assistant 2. you have to go other ways

Hallo Aero Movie,
Kannst du mir eventuell einen link für dieses update geben? Wäre toll wenn  die Hover stabilität bei meinem Inspire 2 verbessert werden könnte.

Besten Dank

Patrick
5-13 13:15
Use props
AeroMovie
Second Officer
Flight distance : 735732 ft
  • >>>
Germany
Offline

I installed firmware V01.02.0400 on my Inspire 2 about 14 days ago.
Since then I have no compass problem anymore. I've tried it out in different places.
With version V01.02.0300 I had to recalibrate the compass constantly.  
https://forum.dji.com/forum.php?mod=viewthread&tid=193546

Hovering in the air has become a bit better with version V01.02.0400.
But DJI says that version V01.02.0400 is identical with version V01.02.0300.
Strange, why should you give an identical firmware a new version number, when everything is the same with version V01.02.0300?
https://forum.dji.com/thread-203954-1-1.html

Yes, both files have the same size of 140,279 KB, but also other hardware components have been updated and got a new version number (you can see it when updating).
So I don't think that V01.02.0400 is the same as V01.02.0300.
5-17 08:34
Use props
LEONIDAS GREECE
First Officer
Flight distance : 4256486 ft
Greece
Offline

Dear friend aeromovie, where you find and installed the 0400 version for inspire 14 days ago?thanksLeonidas
5-17 10:28
Use props
ScooterC5
lvl.4
  • >>>
United States
Offline

AeroMovie Posted at 5-17 08:34
I installed firmware V01.02.0400 on my Inspire 2 about 14 days ago.
Since then I have no compass problem anymore. I've tried it out in different places.
With version V01.02.0300 I had to recalibrate the compass constantly.  

The new firmware .0400 is to address slightly different version model hardware components that are functionally equivalent to the older Inspire 2 version ones. The reason people with existing .0300 firmware don't have the option in the Assistant 2 app for .0400 firmware is because .0400 is not designed for the older version Inspire 2 hardware components.
5-17 11:44
Use props
LEONIDAS GREECE
First Officer
Flight distance : 4256486 ft
Greece
Offline

ok thanks,for your answer
5-17 13:03
Use props
Joecos
Second Officer
Flight distance : 868018 ft
United States
Offline

ScooterC5 Posted at 5-17 11:44
The new firmware .0400 is to address slightly different version model hardware components that are functionally equivalent to the older Inspire 2 version ones. The reason people with existing .0300 firmware don't have the option in the Assistant 2 app for .0400 firmware is because .0400 is not designed for the older version Inspire 2 hardware components.

By any chance, would you know what is considered by definition an 'older version' to 'newer version' model .    Is it defined by serial number and or date of manufacture?

Thanks in Advance,
5-17 15:58
Use props
AeroMovie
Second Officer
Flight distance : 735732 ft
  • >>>
Germany
Offline

ScooterC5 Posted at 5-17 11:44
The new firmware .0400 is to address slightly different version model hardware components that are functionally equivalent to the older Inspire 2 version ones. The reason people with existing .0300 firmware don't have the option in the Assistant 2 app for .0400 firmware is because .0400 is not designed for the older version Inspire 2 hardware components.

Oh dear, another one who knows for sure. Sorry, but where did you get your information about this. Do you have official proof of your testimony? DJI says it's the same .400 as the .300. Now somebody is not telling the truth.Or both aren't telling the truth. https://forum.dji.com/thread-203954-1-1.html

I can only say that my compass problems are gone with the .400 firmware.

@All
You just have to Google search for DJI Inspire 2 Firmware V01.02.0400. You'll find a link/information about it on the first page (at least for me, that's what Google shows).
5-17 23:04
Use props
Rob W
Captain
Flight distance : 94390 ft
  • >>>
Sweden
Offline

AeroMovie Posted at 5-17 23:04
Oh dear, another one who knows for sure. Sorry, but where did you get your information about this. Do you have official proof of your testimony? DJI says it's the same .400 as the .300. Now somebody is not telling the truth.Or both aren't telling the truth. https://forum.dji.com/thread-203954-1-1.html

I can only say that my compass problems are gone with the .400 firmware.

The first hit on Google searching for "DJI Inspire 2 Firmware V01.02.0400" just shows various links to questions about the v01.02.0400 on DJI's forum, like this thread. Might be easier just to post the link,
@AeroMovie
5-18 04:23
Use props
ScooterC5
lvl.4
  • >>>
United States
Offline

AeroMovie Posted at 5-17 23:04
Oh dear, another one who knows for sure. Sorry, but where did you get your information about this. Do you have official proof of your testimony? DJI says it's the same .400 as the .300. Now somebody is not telling the truth.Or both aren't telling the truth. https://forum.dji.com/thread-203954-1-1.html

I can only say that my compass problems are gone with the .400 firmware.

Looking at your thread link, a DJI moderator backed up what i said... "With regards to this matter the v01.02.0400 firmware is new factory firmware, it's function is exactly the same as the v01.02.0300. Thank you"
Emphasis on the word 'function'...

oh dear... lol... .0300 and .0400 are functionally the same.. but .0400 addresses different hardware versions. This is from DJI, but not in official writing or release notes. DJI wouldn't name different version firmwares with different numbers if they were truly 'identical'... the main point being, there are no additional features or functions or even added performance that one will see with .0400 versus .0300.
5-18 08:51
Use props
ScooterC5
lvl.4
  • >>>
United States
Offline

Joecos Posted at 5-17 15:58
By any chance, would you know what is considered by definition an 'older version' to 'newer version' model .    Is it defined by serial number and or date of manufacture?

Thanks in Advance,

when I say older version, I'm talking certain internal hardware components. Third party manufactures for some of the internal components of the Inspire 2 sometimes update the versions of their components... The old version components are no longer available and so DJI is forced to update the firmware to address this at times.
5-18 08:54
Use props
Ground Pilot
Second Officer
Flight distance : 735732 ft
  • >>>
Germany
Offline

ScooterC5 Posted at 5-18 08:51
Looking at your thread link, a DJI moderator backed up what i said... "With regards to this matter the v01.02.0400 firmware is new factory firmware, it's function is exactly the same as the v01.02.0300. Thank you"
Emphasis on the word 'function'...

Sorry, but that's not evidence of your statement.

DJI just says the .300 and .400 versions are definitely. No more, no less. So where did you get your information and where can it be found?

I never said there was a new feature in the .400. But a Bugfix for the .300 is the .400 Firmware. Otherwise my compass problem with the .400 would not have been solved. Therefore the .300 is not identical with the .400.  

5-18 22:53
Use props
Ground Pilot
Second Officer
Flight distance : 735732 ft
  • >>>
Germany
Offline

I've been thinking a long time about whether I should write something about the .400 here in the group.
That's why I started with a simple question.

"Has anyone ever updated (from .300 or lower) to firmware V01.02.0400?"

Why, because there are always some users here who always know everything better without being able to prove it, what you write.  
That's why the discussion for me is now over here.

The .400 has helped me to fix bugs.

If you want, you can test the .400 version yourself. Who wants to have the .400 must search for it on Google.
I will not put a link here from a software that is not approved by DJI.  
For this the users must have understanding who have asked me for a link.
But it is not really difficult to find the .400 version.
5-18 23:04
Use props
TeamPLC
lvl.3
Flight distance : 2837490 ft
France
Offline

Ground Pilot Posted at 5-18 23:04
I've been thinking a long time about whether I should write something about the .400 here in the group.
That's why I started with a simple question.

I have the same compas problem actualy with.300, so i’am about to upgrade to.400 (if i find it)
Please can you confirm that dji assistant propose you to rollback to.300 in case .400 is worth?
Thank’s man.
5-21 04:00
Use props
Rob W
Captain
Flight distance : 94390 ft
  • >>>
Sweden
Offline

TeamPLC Posted at 5-21 04:00
I have the same compas problem actualy with.300, so i’am about to upgrade to.400 (if i find it)
Please can you confirm that dji assistant propose you to rollback to.300 in case .400 is worth?
Thank’s man.

If you find the firmware and upgrade, please tell us how it went, and if you can downgrade.
5-21 20:18
Use props
ScooterC5
lvl.4
  • >>>
United States
Offline

Ground Pilot Posted at 5-18 22:53
Sorry, but that's not evidence of your statement.

DJI just says the .300 and .400 versions are definitely. No more, no less. So where did you get your information and where can it be found?

I believe I mentioned this already, but there is no official statement or notice from DJI on .300 and .400 essentially being the same firmware outside of .400 addressing some new version internal hardware. My information comes from a DJI employee who worked in this area of the firmware. So you'll just have to take it for what it's worth. You can certainly feel free not to believe that .300 and .400 are 'essentially' identical, but .400 firmware does not address any bug fixes to the compass or any other bug fixes per the DJI employee. Another beta tester for DJI I know also confirmed this as well. But yes, since DJI has no official word on this, you're free to believe that .400 fixed your compass issue and perhaps it does work better for you. To my knowledge, any I2 that was once on .300 firmware can't be upgraded to .400.. only the new I2 birds with the different hardware use .400. For this reason, I wouldn't try updating a .300 firmware bird to .400. It would not be the right firmware for that bird and hardware.
5-23 16:39
Use props
Ground Pilot
Second Officer
Flight distance : 735732 ft
  • >>>
Germany
Offline

ScooterC5 Posted at 5-23 16:39
I believe I mentioned this already, but there is no official statement or notice from DJI on .300 and .400 essentially being the same firmware outside of .400 addressing some new version internal hardware. My information comes from a DJI employee who worked in this area of the firmware. So you'll just have to take it for what it's worth. You can certainly feel free not to believe that .300 and .400 are 'essentially' identical, but .400 firmware does not address any bug fixes to the compass or any other bug fixes per the DJI employee. Another beta tester for DJI I know also confirmed this as well. But yes, since DJI has no official word on this, you're free to believe that .400 fixed your compass issue and perhaps it does work better for you. To my knowledge, any I2 that was once on .300 firmware can't be upgraded to .400.. only the new I2 birds with the different hardware use .400. For this reason, I wouldn't try updating a .300 firmware bird to .400. It would not be the right firmware for that bird and hardware.

yes yes the stories of the famous DJI employees. Everyone has a friend who has worked for DJI in one area or another. And another beta tester that nobody knows said something about it. That completely overwhelms me now.

So my friend has a friend who also has a friend who knows a friend who had a friend who used to work at DJI in one area. He said you can update from .300 to .400 and if it is not allowed, DJI would prevent this update, just as you can not update to the first, second, third etc. version back?
5-24 01:39
Use props
ScooterC5
lvl.4
  • >>>
United States
Offline

Ground Pilot Posted at 5-24 01:39
yes yes the stories of the famous DJI employees. Everyone has a friend who has worked for DJI in one area or another. And another beta tester that nobody knows said something about it. That completely overwhelms me now.

So my friend has a friend who also has a friend who knows a friend who had a friend who used to work at DJI in one area. He said you can update from .300 to .400 and if it is not allowed, DJI would prevent this update, just as you can not update to the first, second, third etc. version back?

lol... Unfortunately there are a lot of things that are true that is not officially announced by DJI... i.e. h.264 DLOG being broken. I think you should absolutely update .400 from .300. Sounds like the smart thing to do.
5-25 07:48
Use props
PH3KS
lvl.4
Flight distance : 39537 ft
  • >>>
Germany
Offline

400 fw is only for newer hardware. They changed the IMU
5-29 10:50
Use props
PH3KS
lvl.4
Flight distance : 39537 ft
  • >>>
Germany
Offline

double post
5-29 10:51
Use props
The Phantom Man
lvl.1

United Kingdom
Offline

AeroMovie Posted at 5-17 23:04
Oh dear, another one who knows for sure. Sorry, but where did you get your information about this. Do you have official proof of your testimony? DJI says it's the same .400 as the .300. Now somebody is not telling the truth.Or both aren't telling the truth. https://forum.dji.com/thread-203954-1-1.html

I can only say that my compass problems are gone with the .400 firmware.

I have searched the first 3 pages of Google. I cannot find any .400 firmware. I also have to constantly recalibrate the compass. Please just write a link where you can download the .400 version? Or has someone else already found the link?
5-31 03:48
Use props
The Phantom Man
lvl.1

United Kingdom
Offline

I have finally found the .400 version. You have to do the update the .400 Firmware via the NDL app. I will make the update to .400 and report later.
6-3 02:51
Use props
nik317
lvl.4
Flight distance : 1368780 ft
Switzerland
Offline

The Phantom Man Posted at 6-3 02:51
I have finally found the .400 version. You have to do the update the .400 Firmware via the NDL app. I will make the update to .400 and report later.

nld go4 app not ndl
6-3 11:15
Use props
The Phantom Man
lvl.1

United Kingdom
Offline

nik317 Posted at 6-3 11:15
nld go4 app not ndl

Ok Sorry my mistake. But it has nothing to do with the NLD Go4 app. The firmware update to .400 is simply done via the NLD MOD Client program (this function is free of charge), is similar to the DJI Assistant 2 program.  Can be seen here  nolimitdronez Point com/download
6-3 23:26
Use props
The Phantom Man
lvl.1

United Kingdom
Offline

The update .400 was done without problems. There are no error messages in the app or on Inspire 2. Everything runs without problems. My bird is now flying much more stable (Hovering) and my compass problem is gone.  Let's hope that DJI will release the firmware .400 as official version or bring an even better version.
6-11 05:36
Use props
Joecos
Second Officer
Flight distance : 868018 ft
United States
Offline

Thank You for updating this thread with your positive results.  I am seriously considering the change fr .300 to .400
6-11 08:50
Use props
Rob W
Captain
Flight distance : 94390 ft
  • >>>
Sweden
Offline

The Phantom Man Posted at 6-11 05:36
The update .400 was done without problems. There are no error messages in the app or on Inspire 2. Everything runs without problems. My bird is now flying much more stable (Hovering) and my compass problem is gone.  Let's hope that DJI will release the firmware .400 as official version or bring an even better version.

Have you checked any firmware update logs? Does the IMU values show correctly in the app? I wonder if the firmware could be downgraded back to .300 if there would be any issues. I'm glad the .400 firmware seems to be working better for those who have tried.
6-11 20:31
Use props
The Phantom Man
lvl.1

United Kingdom
Offline

I've been flying with the .400 version for a while now and I think it was absolutely right to install this update. No more compass problems and the hovering has become smoother. IMU values and the other displays are OK. Really, DJI why do you do such ... with your customers and don't officially release the .400? Or a .401 whatever.
6-25 23:17
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules